runc-checkpoint(8)

NAME

runc-checkpoint - checkpoint a running container

SYNOPSIS

runc checkpoint [option ...] container-id

DESCRIPTION

The checkpoint command saves the state of the running container instance with the help of criu(8) tool, to be restored later.

OPTIONS

--image-path path
    Set path for saving criu image files. The default is ./checkpoint.

--work-path path
    Set path for saving criu work files and logs. The default is to reuse the image files directory.

--parent-path path
    Set path for previous criu image files, in pre-dump.

--leave-running
    Leave the process running after checkpointing.

--tcp-established
    Allow checkpoint/restore of established TCP connections. See criu --tcp-establised option ⟨https://criu.org/CLI/opt/--tcp-established⟩.

--ext-unix-sk
    Allow checkpoint/restore of external unix sockets. See criu --ext-unix-sk option ⟨https://criu.org/CLI/opt/--ext-unix-sk⟩.

--shell-job
    Allow checkpoint/restore of shell jobs.

--lazy-pages
    Use lazy migration mechanism. See criu --lazy-pages option ⟨https://criu.org/CLI/opt/--lazy-pages⟩.

--status-fd fd
    Pass a file descriptor fd to criu. Once lazy-pages server is ready, criu writes \0 (a zero byte) to that fd. Used together with --lazy-pages.

--page-server IP-address:port
    Start a page server at the specified IP-address and port. This is used together with criu lazy-pages. See criu lazy migration ⟨https://criu.org/Lazy_migration⟩.

--file-locks
    Allow checkpoint/restore of file locks. See criu --file-locks option ⟨https://criu.org/CLI/opt/--file-locks⟩.

--pre-dump
    Do a pre-dump, i.e. dump container's memory information only, leaving the container running. See criu iterative migration ⟨https://criu.org/Iterative_migration⟩.

--manage-cgroups-mode soft|full|strict.
    Cgroups mode. Default is soft. See criu --manage-cgroups option ⟨https://criu.org/CLI/opt/--manage-cgroups⟩.

--empty-ns namespace
    Checkpoint a namespace, but don't save its properties. See criu --empty-ns option ⟨https://criu.org/CLI/opt/--empty-ns⟩.

--auto-dedup
    Enable auto deduplication of memory images. See criu --auto-dedup option ⟨https://criu.org/CLI/opt/--auto-dedup⟩.

SEE ALSO

criu(8), runc-restore(8), runc(8), criu(8).